Subject: Re: bug#73730: 31.0.50; Support for color fonts on MS-Windows

From: Cecilio Pardo <[email-masked]>
Date: Sun, 20 Oct 2024 20:20:29 +0200

On 20/10/2024 18:17, Eli Zaretskii wrote:

>> If the case of size <= 0, we are now falling back to
>> w32font_text_extents.
> 
> Maybe it's better to use some default size in text_extents instead?
> The pixel size of the default font is known (see FRAME_LINE_HEIGHT),
> so maybe just use it if you get a font of size zero?  That could be a
> more future-proof fix, since we could get such fonts in other
> situations as well.

The reason w32fint_text_extents has a value to return is because when 
the specified font size is 0:

"The font mapper uses a default height value when it searches for a match."

So it gives a font with a size that we cannot know, because when we ask 
it says it is 0.

So we may return our own default.